edu.sc.seis.sod.process.waveform.vector

## Class VectorTrim

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.vector.VectorTrim

- All Implemented Interfaces:
    WaveformVectorProcess, SodElement, Subsetter, Threadable

      public class VectorTrim
      extends java.lang.Object
      implements WaveformVectorProcess, Threadable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VectorTrim()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformVectorResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`
    `static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl` | `alignTimes(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl main, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl shifty)`
    `edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][]` | `cutVector(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] vector, edu.sc.seis.fissuresUtil.bag.Cut[] c)`
    `edu.sc.seis.fissuresUtil.bag.Cut[]` | `findSmallestCoveringCuts(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] vector)`
    `boolean` | `isThreadSafe()`
    `boolean` | `normalizeSampling(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] impls)` If the passed in seismograms sampling periods are all within 1% in size, each has its sampling set to the sampling of the first sampling
    `edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][]` | `trim(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] vector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VectorTrim

          public VectorTrim()

  - ### Method Detail

    - #### accept

          public WaveformVectorResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                             edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                             edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                             CookieJar cookieJar)
                                      throws java.lang.Exception

      Specified by:
        `accept` in interface `WaveformVectorProcess`
      Throws:
        `java.lang.Exception`

    - #### trim

          public edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] trim(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] vector)
                                                                      throws edu.iris.Fissures.FissuresException,
                                                                             SubsetterException

      Throws:
        `edu.iris.Fissures.FissuresException`
        `SubsetterException`

    - #### alignTimes

          public static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl alignTimes(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl main,
                                                                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl shifty)
                                                                               throws SubsetterException,
                                                                                      edu.iris.Fissures.FissuresException

      Throws:
        `SubsetterException`
        `edu.iris.Fissures.FissuresException`

    - #### cutVector

          public edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] cutVector(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] vector,
                                                                                  edu.sc.seis.fissuresUtil.bag.Cut[] c)
                                                                           throws edu.iris.Fissures.FissuresException

      Throws:
        `edu.iris.Fissures.FissuresException`

    - #### findSmallestCoveringCuts

          public edu.sc.seis.fissuresUtil.bag.Cut[] findSmallestCoveringCuts(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] vector)

    - #### normalizeSampling

          public boolean normalizeSampling(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] impls)

      If the passed in seismograms sampling periods are all within 1% in size, each has its sampling set to the sampling of the first sampling

    - #### isThreadSafe

          public boolean isThreadSafe()

      Specified by:
        `isThreadSafe` in interface `Threadable`